Update
curl --request PATCH \
--url https://api.qa.sima.ag/api/v3/third_party/silobags/{new_silobags} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
{
"code": "SNWP-11578-PATCH",
"observations": "Updated from Postman"
}
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/silobags/{new_silobags}"
payload = {
"code": "SNWP-11578-PATCH",
"observations": "Updated from Postman"
}
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: 'SNWP-11578-PATCH', observations: 'Updated from Postman'})
};
fetch('https://api.qa.sima.ag/api/v3/third_party/silobags/{new_silobags}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/silobags/{new_silobags}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'SNWP-11578-PATCH',
'observations' => 'Updated from Postman'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > SIlo Bag
Update
Update silobag own fields only Third Party v3 (SNWP-11578). silobag_campaigns is rejected (422).
PATCH
/
api
/
v3
/
third_party
/
silobags
/
{new_silobags}
Update
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response

